public class TestArrayTransferInt
   {public static void scrivi(int a, int b, int c, int d)
	{System.out.println("a = "+a+"    b = "+b);
	 System.out.println("A[0] = "+c+"     B[0] = "+d);
	}
    public static void main(String[] args)
	{System.out.println("Prima della modifica:");
	 scrivi(a,b,A[0],B[0]);
	 a = 2;
	 A[0] = 2;
	 System.out.println("Dopo la modifica:");
	 scrivi(a,b,A[0],B[0]);
	}
	 static int a = 1;
	 static int b = a;
	 static int[] A = {1,2,3};
	 static int[] B = A;
   }		 	 

